"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultConfig = exports.OutputStatsStyles = void 0;
var OutputStatsStyles;
(function (OutputStatsStyles) {
    OutputStatsStyles["minimal"] = "minimal";
    OutputStatsStyles["normal"] = "normal";
    OutputStatsStyles["verbose"] = "verbose";
})(OutputStatsStyles = exports.OutputStatsStyles || (exports.OutputStatsStyles = {}));
exports.defaultConfig = {
    environments: {
        default: {
            browserlist: "last 2 versions",
            outputPath: "dist",
            sourceMapType: "(none)",
            buildVersion: String(Date()),
            staticFilesSizeThresholdKb: 8,
            optimizeBundle: false,
            analyzeBundle: false,
            verboseMode: false,
            showBuildNotifications: true,
            enableTypeChecking: true,
            cleanDistFolderBeforeBuild: false,
            htmlWebpackPluginConfig: {},
            enableCacheBusting: false,
            entrypointName: "index",
            tsconfigPath: "./tsconfig.json",
            aliases: {},
            noParse: undefined,
            buildStatsStyle: OutputStatsStyles.minimal,
            devServerConfig: {
                port: 9393,
                host: "0.0.0.0",
                open: true,
                overlay: true,
                inline: true,
                historyApiFallback: true,
                publicPath: "/",
            },
        },
        development: {
            _extends: "default",
            sourceMapType: "eval-source-map",
        },
        production: {
            _extends: "default",
            sourceMapType: "nosources-source-map",
            optimizeBundle: true,
            showBuildNotifications: false,
            enableTypeChecking: false,
            cleanDistFolderBeforeBuild: true,
            enableCacheBusting: true,
            buildStatsStyle: OutputStatsStyles.normal,
        }
    },
    configureWebpack: undefined,
    disableWebpackLayers: () => [],
};
