"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bundle_stats_webpack_plugin_1 = require("bundle-stats-webpack-plugin");
const webpack_bundle_analyzer_1 = require("webpack-bundle-analyzer");
const path_1 = require("path");
const layer = (projectConfig) => {
    const pathToReports = path_1.resolve(projectConfig.paths.projectRoot, "bundle-report");
    return {
        plugins: [
            new webpack_bundle_analyzer_1.BundleAnalyzerPlugin({
                analyzerMode: "static",
                generateStatsFile: true,
                reportFilename: path_1.resolve(pathToReports, "bundle-analyze.html"),
                statsFilename: path_1.resolve(pathToReports, "stats.json"),
            }),
            // https://github.com/relative-ci/bundle-stats/tree/master/packages/webpack-plugin
            new bundle_stats_webpack_plugin_1.BundleStatsWebpackPlugin({
                outDir: path_1.relative(projectConfig.paths.destination, pathToReports),
            })
        ]
    };
};
module.exports = layer;
